﻿/* header styles */
.reserve-price {
    display: flex;
    align-items: center;

    .price-freight {
        font-size: 16px;
    }
}

.reserve-button {
    margin: 37px auto 16px auto;
}

/* form styles */
.reserve__form {
    position: relative;
    margin: 0 auto;

    .form-field.is-required label:after {
        content: "*";
        color: inherit;
    }
}

.required-message {
    position: absolute;
    top: 0;
    right: 0;
    color: #63666A;
    font-style: italic;
    text-align: right;
    margin: 0;
}

.form-field {
    margin-bottom: 15px;
}

.form-field label {
    display: block;
    margin-bottom: 0.5em;
    font-weight: 600;
}

.form-field input,
.form-field select {
    width: 100%;
    padding: 10px;
    border: 1px solid #12121214;
    border-radius: 4px;
    font-size: 16px;
}

.form-field input::placeholder {
    color: #A5A5A5;
}

.form-field option:disabled {
    color: #12121261;
}

.reserve__submit-button {
    background-color: #0072CE;
    color: white;
    padding: 14px 24px;
    border: none;
    border-radius: 4px;
    font-size: 16px;
    cursor: pointer;
    margin-top: 40px;
    ;

    &.is-loading {
        pointer-events: none;
        opacity: 0.6;
    }
}

.reserve__submit-button:disabled {
   opacity: 0.6;
   cursor: not-allowed;   
}


/* modal styles */
.reserve-modal {
    position: fixed;
    inset: 0;
    opacity: 0;
    visibility: hidden;
    z-index: 9999;
    transition: visibility 0s linear 0.25s, opacity 0.25s 0s;
}

.reserve-modal.is-active {
    opacity: 1;
    visibility: visible;
    transition: visibility 0s linear 0s, opacity 0.25s 0s;
}

.reserve-modal__content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-width: 750px;
    width: 90%;
    max-height: 90vh;
    overflow-y: auto;
    background-color: white;
    border-radius: 6px;
    padding: 36px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
}

.reserve-modal__body,
.reserve-modal__body p {
    color: #003B5C;
}

.reserve-modal__overlay {
    display: block !important;
    position: absolute;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.25);
}

.reserve-modal__close {
    position: absolute;
    top: 10px;
    right: 10px;
    background-color: transparent;
    border: none;
    font-size: 24px;
    cursor: pointer;
}

